Ticket #44173

mapgen: Expand adjust_int_map() to take arbitrary target minimum

Date d'ouverture: 2022-03-24 04:13 Dernière mise à jour: 2022-03-26 21:33

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Jalon:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

adjust_int_map() and adjust_int_map_filtered() in mapgen_utils.[ch] produce values going from zero to their given int_map_max. Expand these to also take an int_map_min, for use cases like the FIXME introduced in #44167.

Ticket History (3/4 Histories)

2022-03-24 04:13 Updated by: alienvalkyrie
  • New Ticket "mapgen: Expand adjust_int_map() to take arbitrary target minimum" created
2022-03-25 02:07 Updated by: alienvalkyrie
  • Propriétaire Update from (Aucun) to alienvalkyrie
  • Résolution Update from Aucun to Accepted
Commentaire

Since there weren't too many places that use it, I decided to change the existing function and all call sites, rather than try and come up with a name for a new function – this way, those calls where the desired minimum is zero explicitly state that.

2022-03-26 21:33 Updated by: alienvalkyrie
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion